PDA

View Full Version : Before I call it quits, I'll ask for help!



jaleel
May 10th, 2012, 07:14 PM
I came back after much lurking only to find I've spend more time trying to fix things than I have run trains.

Most of the routes I like to run or attempt to aren't on DLS which is a problem, namely Russian Metro & Tram routes, and now even the Lublin-Dorohusk route when things are missing or not working. Hell I even noticed issues with built-in routes.

My problem is barely anything works even things that ran before now don't work. I'm frustrated at the errors and quite honestly the lack of built-in tools to fix them or warnings.

I have things in CMP that come up with errors but when I go to check the issue it says no errors!? I don't know if it language issue, in regard to needed to installing a language pack for my OS or what for some of this stuff. I know with the Russian Metro and some Tram stuff I had to rename the .cpd file before it would even open because they had Russian names.

The biggest issue I have right now is with the Lublin-Dorohusk route in that it was working fine as far as I could tell before I installed the passenger pack. When I first installed it everything was fine and I thought I had a problem as the locos would move using DCC. Later I found out they were prototypical in that you had to do things as in real life. By the time I found out I had deleted it and tried to re-install it but now nothing that showed up before is showing up now.

This is a problem I'm seeing with a lot things 1 part of a loco shows up but not the other half. I've seen this with a few of the articulated trams I have. Side A shows up no problem but Side B is broken..ugh

I love that trainz has backward compatibly but now it seems that's doing more harm than good. There once was a version of trainz that would fix problems.

I try fixing things on my own but nothing seems to be working. I honestly don't know what the hell I'm doing at this stage. To make matters worst I'm getting issues with content made using PaintShed something not even used in TS12. Can't even download content that is done w/ paintshed...ugh.

Some the errors are: Warning: This asset uses an obsolete trainz-build number. Trainz-build numbers below 2.7 are no longer supported. Warning: Required container 'thumbnails' is missing. Also Warning: This asset requires a shadow mesh, but the mesh table does not contain one. From what I understand none of them would prevent the content from showing up.

I get more complex errors but it's hard to find fixes. Even doing a search doesn't help.

I'm tempted to go back to Classic at this stage but like I said I'm ready to just give up. BTW if I do update the Trainz-build will that affect the content too? I know I'm a bit all over the place but I really am at the point of just giving up and going back to lurking and wishing again.

Thanks for any all help,

Jaleel

backyard
May 10th, 2012, 07:35 PM
:cool:Well, don't blame Trainz because most of the errors could have been avoided by the original Content Creator.

I have probably fixed thousands of assets, so you are not alone!

The best way is route by route.

Hang in there!

stovepipe
May 10th, 2012, 07:49 PM
Just to state the obvious - warnings are not errors, and do not need to be fixed. I know Trainz can get a bit frustrating at times but don't make it harder for yourself than it needs to be. Warnings are fine and do not stop content from appearing in the game.........

Why not stick some actual error messages up here with kuid numbers - I'm sure folk will be willing to help.

RRSignal
May 10th, 2012, 07:51 PM
I came back after much lurking only to find I've spend more time trying to fix things than I have run trains.

Most of the routes I like to run or attempt to aren't on DLS which is a problem, namely Russian Metro & Tram routes, and now even the Lublin-Dorohusk route when things are missing or not working. Hell I even noticed issues with built-in routes.

My problem is barely anything works even things that ran before now don't work. I'm frustrated at the errors and quite honestly the lack of built-in tools to fix them or warnings.[/quote]

Ok, but these tools do exist. They may not be menu-accessible (actually, I think there IS a way to make PEVs tools menu-accessible, I just haven't bothered) but I know they exist and can be used efficiently and often in a bulk-processing of assets as I do it all the time.


I have things in CMP that come up with errors but when I go to check the issue it says no errors!?

That maybe a known glitch that could solve 90% of your frustrations. Go into the TS23010 forum and look for a sticky on assets incorrectly marked as faulty. Follow that procedure. In particular, the validation procedure.


I don't know if it language issue, in regard to needed to installing a language pack for my OS or what for some of this stuff. I know with the Russian Metro and some Tram stuff I had to rename the .cpd file before it would even open because they had Russian names.

It's a known issue with Trainz, which, I suspect, is rooted in security concerns.


The biggest issue I have right now is with the Lublin-Dorohusk route in that it was working fine as far as I could tell before I installed the passenger pack. When I first installed it everything was fine and I thought I had a problem as the locos would move using DCC. Later I found out they were prototypical in that you had to do things as in real life. By the time I found out I had deleted it and tried to re-install it but now nothing that showed up before is showing up now.

Well, isn't that a good thing?


This is a problem I'm seeing with a lot things 1 part of a loco shows up but not the other half. I've seen this with a few of the articulated trams I have. Side A shows up no problem but Side B is broken..ughI'll take a look if nobody else has already.


I love that trainz has backward compatibly but now it seems that's doing more harm than good.

I'm not sure that's true, but if it is, I think you'll find just as many people on the opposite side of the fence. Be patient and tolerant...trust me, I've only run into one route and a couple assets I couldn't get to work. And I'm talking many thousands that I've fixed.


I try fixing things on my own but nothing seems to be working. I honestly don't know what the hell I'm doing at this stage. To make matters worst I'm getting issues with content made using PaintShed something not even used in TS12. Can't even download content that is done w/ paintshed...ugh.

I'm willing to walk you through specific ERRORS. Warnings, I'll walk you through a blanket fix. If you really, really want to be a part of DLS Cleanup, I can pretty much walk you through everything in just a few hours. I'm not as sure about Paintshed content because I think that may be phased out. PM me of you want.


Some the errors are: Warning: This asset uses an obsolete trainz-build number. Trainz-build numbers below 2.7 are no longer supported. Warning: Required container 'thumbnails' is missing. Also Warning: This asset requires a shadow mesh, but the mesh table does not contain one. From what I understand none of them would prevent the content from showing up.

Correct.


I get more complex errors but it's hard to find fixes. Even doing a search doesn't help.

Post here or PM me. If it's DLS content, I'm especially interested.


BTW if I do update the Trainz-build will that affect the content too? I know I'm a bit all over the place but I really am at the point of just giving up and going back to lurking and wishing again.

Yes, it can. If you're fixing content for your own use then use a TB of 2.7 or 2.8 and you'll avoid a lot of the ERRORS (stuff that prevents your content from working) rather than later TBs that will prevent that. I haven't solidly tested TBs but I do have (tons of) TRS2004 content working in TS12.

PATIENCE, Jaleel! You learned GMax, but are getting frustrated at little Trainz problems. Trust me, that's like going to school to be an auto mechanic, but getting mad because the windows don't roll up the way you're used to. :p

JCitron
May 10th, 2012, 09:24 PM
Jaleel,

As the others have pointed out, this isn't as bad as it looks. Trust me. I too have fixed a ton of assets as well. In fact nothing shows up faulty in my installation, nor are there any missing assets.
When you go through the repair process, you'll find that many of the errors are "stupid" errors that are really easy to repair quickly. These "stupid" errors are mostly typographical errors such as blatent spelling errors, incorrect tags, etc. Usually deleting the incorrect tags and fixing the spelling fixes the asset. Others are simply fixed by using PEV's fine tools. Some rolling stock needs a shadow mesh and that's easy. Other assets, both buildings and trains, show missing textures but they're not. PEV's PM2IM will fix that one easily. This is caused by textures being placed in the wrong slot in GMAX. A quick pass through the program, save and commit, and you're asset is ready to use.

If you need help with fixing, feel free to PM me or post up here in the forums. One of us or even all of us will jump in and help. Your own content is still quite an asset to the community and I feel if you learn the new way assets are made, you'll be diving in full speed making more awesome stuff. :)

John

jaleel
May 10th, 2012, 10:10 PM
Thanks all. I'll do as some have suggested. RRSignal you made me laugh and feel better now. :)

WillPac
May 11th, 2012, 04:19 PM
I came back after much lurking only to find I've spend more time trying to fix things than I have run trains.

I have things in CMP that come up with errors but when I go to check the issue it says no errors!? I don't know if it language issue, in regard to needed to installing a language pack for my OS or what for some of this stuff. I know with the Russian Metro and some Tram stuff I had to rename the .cpd file before it would even open because they had Russian names.

Jaleel

I don't know about '12, but I know in '10, if an asset shows as faulty, but when I select "view errors and warnings" it shows none, I have found if I open the asset for editing, then recommit it, the faulty sign goes away and it then shows up now in Railyard and/or Surveyor

jjanmarine3
May 11th, 2012, 05:00 PM
I don't know about '12, but I know in '10, if an asset shows as faulty, but when I select "view errors and warnings" it shows none, I have found if I open the asset for editing, then recommit it, the faulty sign goes away and it then shows up now in Railyard and/or Surveyor

Thanks for that, I have that problem too.

Jan